QwtScaleArithmetic(3)

NAME
QwtScaleArithmetic -

SYNOPSIS

Detailed Description

Arithmetic including a tolerance.

Definition at line 22 of file qwt_scale_engine.h.

  Static Public Member Functions
static int compareEps (double value1, double value2, double intervalSize)
static double ceilEps (double value, double intervalSize)
static double floorEps (double value, double intervalSize)
static double divideEps (double interval, double steps)
static double ceil125 (double x)
static double floor125 (double x)

Member Function Documentation

  int QwtScaleArithmetic::compareEps (double value1, double value2, double intervalSize) [static]

Compare 2 values, relative to an interval.

Values are 'equal', when : $

Parameters:
    value1 First value to compare
    value2 Second value to compare
    intervalSize interval size

Returns:
    0: if equal, -1: if value2 > value1, 1: if value1 > value2

Definition at line 28 of file qwt_scale_engine.cpp.

Referenced by QwtScaleEngine::contains().

  double QwtScaleArithmetic::ceilEps (double value, double intervalSize) [static]

Ceil a value, relative to an interval

Parameters:
    value Value to ceil
    intervalSize Interval size

See also:
    floorEps

Definition at line 50 of file qwt_scale_engine.cpp.

Referenced by QwtLinearScaleEngine::align().

  double QwtScaleArithmetic::floorEps (double value, double intervalSize) [static]

Floor a value, relative to an interval

Parameters:
    value Value to floor
    intervalSize Interval size

See also:
    floorEps

Definition at line 67 of file qwt_scale_engine.cpp.

Referenced by QwtLinearScaleEngine::align().

  double QwtScaleArithmetic::ceil125 (double x) [static]

Find the smallest value out of {1,2,5}*10^n with an integer number n which is greater than or equal to x

Parameters:
    x Input value

Definition at line 98 of file qwt_scale_engine.cpp.

Referenced by QwtScaleEngine::divideInterval().

  double QwtScaleArithmetic::floor125 (double x) [static]

Find the largest value out of {1,2,5}*10^n with an integer number n which is smaller than or equal to x.

Parameters:
    x Input value

Definition at line 126 of file qwt_scale_engine.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.